A package of pulseaudio-14.0 for debugging purposes

Asked by Krister Swenson on 2020-11-28

Hello, would it be possible for someone to build a package for pulseaudio-14.0 so that I can help debug an issue I am having?

The upstream bug report is here:
  https://gitlab.freedesktop.org/pulseaudio/pulseaudio/-/issues/1057

Igor Kovalenko has asked me to send him logs of output from pulseaudio-14.0, but I'm having trouble building the source.

Question information

Language:
English Edit question
Status:
Solved
For:
Ubuntu pulseaudio Edit question
Assignee:
No assignee Edit question
Solved by:
Manfred Hampl
Solved:
2020-12-02
Last query:
2020-12-02
Last reply:
2020-11-29
Manfred Hampl (m-hampl) said : #1

Which Ubuntu release are you running?

pulseaudio-14.0 has already been packaged for Ubuntu 21.04 (in development for publishing next April)
I have not checked if its dependencies can be met on Ubuntu 20.04

Krister Swenson (thekswenson) said : #2

20.10

Best Manfred Hampl (m-hampl) said : #3

I was able to manually install libpulse0 and pulseaudio 14.* for hirsute on a groovy test system.
Maybe that helps as quick workaround.

Another way could be uploading the 1.14 version for hirsute to a PPA and backporting it to groovy there.

Krister Swenson (thekswenson) said : #4

Cool. I managed to install all the dependencies for pulseaudio_14.0-1ubuntu1_amd64.deb and libpulse0_14.0-1ubuntu1_amd64.deb from hirsute. Thanks!

Krister Swenson (thekswenson) said : #5

Thanks Manfred Hampl, that solved my question.